"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedRouter = void 0;
const react_1 = __importDefault(require("react"));
const wouter_1 = require("wouter");
const NestedRouter = ({ base, children }) => {
    const router = (0, wouter_1.useRouter)();
    const [location] = (0, wouter_1.useLocation)();
    return location.startsWith(base) ? react_1.default.createElement(wouter_1.Router, { base: router.base + base }, children) : null;
};
exports.NestedRouter = NestedRouter;
